HOL LogoGuard

Explore HOL

  • HOL home
  • AI agent registry
  • AI plugins
  • Open standards
  • HOL members

Guard product

  • Guard overviewLocal security and control for AI agents and the tools they use.
  • FeaturesRuntime protection, policy routing, review, and evidence.

Explore Guard

  • Product previewWalk through Guard surfaces in read-only demo mode.
  • ComparisonCompare Guard with native controls and AI security vendors.

AI tools

  • All AI toolsEvery supported AI tool and how Guard applies policy to it.
  • Codex
  • Claude Code
  • Cursor
  • Gemini CLI
  • OpenCode
  • Hermes
  • OpenClaw
  • GitHub Copilot CLI
  • Antigravity
  • Kimi
  • Grok
  • Pi / Oh My Pi
  • Zcode

Extensions

  • All extensionsBrowse command and MCP coverage with owners and stated limits.
  • Command coverageShell command protection across clouds, databases, backups, and packages.
  • MCP server coverageSee how Guard maps risk state across MCP tools and servers.
  • Core safetyThe safety floor listings that ship with Guard.
  • Data and resilienceBackup and storage command protection.
  • Cloud and infrastructureAWS, Azure, GCP, Kubernetes, and more.

Security

  • AI security hubSecurity research, advisories, and agent safety coverage.
  • AI tool securitySecurity profiles for each supported coding agent.
  • Safe labsHands-on attack simulations with safe boundaries.
  • Redacted warningsReal blocked actions with sensitive details removed.
  • AdvisoriesCoordinated disclosure reports for AI tooling.
  • Active CVEsSearch active CVEs affecting AI tooling.

Learn

  • Security guidesPractical guides for securing AI agent workflows.
  • DocsInstall, configure, and operate Guard with confidence.
  • ResearchPublished security research, benchmarks, and methodology.

Community

  • ReleasesVersion history, shipped changes and upgrade notes.
  • ContributorsThe people and contributions behind HOL Guard.
  • AffiliatesShare Guard with your audience and earn from referrals.
  • SponsorKeep agent security open: sponsor a project, place a banner, or fund a security initiative.
PricingEnterpriseOpen AppInstall Guard
  1. Guard
  2. Security
  3. CVEs
  4. CVE 2026 71888 cms authenticateddata exposes attacker inserted
HOL Guard

Public security guidance for teams protecting AI harnesses, MCP servers, skills, prompts, and local tool execution.

Install Guard

AI Security

  • Prompt injection
  • MCP security
  • OWASP MCP mapping
  • Supply chain

Resources

  • Trust packet
  • Harness setup
  • Redacted warnings
  • Safe labs

Product

  • Install Guard
  • Pricing
  • Open dashboard
Guard
  • Guard Overview
  • Releases
  • Contributors
  • Install Guard
  • Pricing
Docs
  • Documentation Index
  • Developer Hub
  • API Reference
  • Root OpenAPI
  • Registry OpenAPI
  • Run in Postman
  • Standards
  • Submit ERC-8004 Contract
  • Feature Your Agent
Best Plugins
  • Browse Plugins
  • Plugin Launches
  • Best Claude Plugins
  • Best Codex Plugins
  • Best Grok Plugins
  • Best Kimi Plugins
  • Best DeepSeek Plugins
  • Best Antigravity Plugins
  • Best MCP Plugins
  • Best Cursor Plugins
  • Best OpenCode Plugins
Best Agents
  • Best ERC-8004 Agents
  • Best Virtuals Agents
  • Best MCP Servers
  • Best A2A Agents
  • Best x402 Payable
  • All Categories
Community
  • Telegram
  • X
More
  • About HOL
  • Contact
  • Blog
  • GitHub
  • Privacy
  • Terms of Service
Settings

Copyright ยฉ 2026 HOL DAO LLC. All rights reserved.

Back to active CVEs
High ยท CVSS 8.7CVE-2026-71888

CMS AuthenticatedData exposes attacker-inserted authAttrs when digestAlgorithm is absent

Answer in brief

CVE-2026-71888 records a High severity (CVSS 8.7) vulnerability in CMS AuthenticatedData exposes attacker-inserted authAttrs when digestAlgorithm is absent. The current sources do not mark it as known exploited. The current feed maps Legion of the Bouncy Castle Inc./bcpkix (generic), Legion of the Bouncy Castle Inc./bcpkix-fips (generic), Legion of the Bouncy Castle Inc./bcpkix-lts8on (generic), Legion of the Bouncy Castle Inc./bcutil (generic) and additional mapped packages. Check affected ranges and fixed versions before updating.

Analysis pending evidence review

HOL Guard separates source facts from reviewed analysis. See the methodology.

Published Oct 3, 2026Updated Oct 3, 2026Source checked Oct 3, 2026First seen by HOL Oct 3, 2026Material review Oct 3, 2026
Upstream Advisory

Key facts

Risk
High ยท CVSS 8.7
Exploitation
Not marked as known exploited
Affected software
6 mapped packages or products
Fix availability
Available

Why this deserves its current priority

CVSS is 8.7. The current sources do not mark it as known exploited. Treat this as a source-backed prioritization signal, not a statement about your environment.

Analysis status

Analysis pending evidence review

Factual feed record only; HOL analysis is not approved for indexing. Read the methodology.

Affected scope and exposure questions

The current feed maps Legion of the Bouncy Castle Inc./bcpkix (generic), Legion of the Bouncy Castle Inc./bcpkix-fips (generic), Legion of the Bouncy Castle Inc./bcpkix-lts8on (generic), Legion of the Bouncy Castle Inc./bcutil (generic) and additional mapped packages. Check affected ranges and fixed versions before updating.

Mapped affected packages and fixed versions
PackageAffected rangeFixed version
Legion of the Bouncy Castle Inc./bcpkixgeneric>=0 <1.861.86
Legion of the Bouncy Castle Inc./bcpkix-fipsgeneric>=1.0.0 <1.0.13 || >=2.0.0 <2.0.13 || >=2.1.0 <2.1.131.0.13, 2.0.13, 2.1.13
Legion of the Bouncy Castle Inc./bcpkix-lts8ongeneric>=2.73.0 <2.73.132.73.13
Legion of the Bouncy Castle Inc./bcutilgeneric>=1.70 <1.861.86
Legion of the Bouncy Castle Inc./bcutil-fipsgeneric>=2.0.0 <2.0.8 || >=2.1.0 <2.1.82.0.8, 2.1.8
Legion of the Bouncy Castle Inc./bcutil-lts8ongeneric>=2.73.0 <2.73.132.73.13

Recommended response

  1. 1Check inventory. Check lockfiles and deployed manifests for Legion of the Bouncy Castle Inc./bcpkix, Legion of the Bouncy Castle Inc./bcpkix-fips, Legion of the Bouncy Castle Inc./bcpkix-lts8on.
  2. 2Review the reported fix. Update Legion of the Bouncy Castle Inc./bcpkix to 1.86; Legion of the Bouncy Castle Inc./bcpkix-fips to 1.0.13; Legion of the Bouncy Castle Inc./bcpkix-lts8on to 2.73.13; Legion of the Bouncy Castle Inc./bcutil to 1.86; Legion of the Bouncy Castle Inc./bcutil-fips to 2.0.8; Legion of the Bouncy Castle Inc./bcutil-lts8on to 2.73.13 if you use the affected versions. Test the change in a non-production environment first.

Evidence timeline and material changes

  1. Published upstream

    Oct 3, 2026

    Evidence: source:cvelist:source_dates:source-dates:record
  2. Source modified

    Oct 3, 2026

    Evidence: source:cvelist:source_dates:source-dates:record
  3. First seen by HOL

    Oct 3, 2026

Sources and claim methodology

  • GitHub security advisorygithub.com
  • GitHub security advisorygithub.com
Upstream source description

In Bouncy Castle for Java before 1.86, the streaming CMS AuthenticatedData parser accepted a message whose digestAlgorithm and authAttrs fields disagreed about whether authenticated attributes were present. RFC 5652 sec. 9.1 pairs the two, requiring that authAttrs be present whenever digestAlgorithm is, and sec. 9.2 makes the MAC cover the DER encoding of authAttrs when they are present and the eContent OCTET STRING directly when they are not. CMSAuthenticatedDataParser has to choose between those two in its constructor, before it can reach authAttrs, which comes later in the SEQUENCE, so it chose on digestAlgorithm alone: for a message with digestAlgorithm absent but authAttrs present it verified the content MAC and then returned the attributes through getAuthAttrs() as though they had been authenticated, when the MAC had never covered them. An attacker able to modify a message in transit could insert an authenticated attribute, such as an RFC 2634 ESSSecurityLabel, into an otherwise valid message while holding neither the key-encryption key nor the content-MAC key, and an application taking an authorization, routing or labelling decision from those attributes would act on attacker-chosen values. The content itself remained MAC-bound. asn1.cms.AuthenticatedData now rejects the mismatched pairing when parsing and CMSAuthenticatedDataParser cross-checks the two fields once authAttrs is read. This is a variant of CVE-2026-59642, which bound the content to the MAC for messages that legitimately carry authAttrs, and which does not address this case. This issue also affects Bouncy Castle for Java LTS before 2.73.13, and Bouncy Castle for Java FIPS (BC-FJA) before bcpkix-fips 1.0.13 (1.0.X series), 2.0.13 (2.0.X series) and 2.1.13 (2.1.X series), and bcutil-fips 2.0.8 (2.0.X series) and 2.1.8 (2.1.X series).

Quoted source text, attributed separately from HOL analysis.

Related CVEs

  • PKIXCertPathReviewer does not apply X.509 name constraints to the target certificateSame legion of the bouncy castle inc./bcpkix package
  • CMS key-transport recipient key-size validation never runs for RFC 9709 HKDF-derived keysSame legion of the bouncy castle inc./bcpkix package
  • OpenPGP message truncation not reported, bypassing the SEIPDv1 integrity checkAlso CWE-354
  • WP Ultimate Review <= 2.4.3 - Unauthenticated Arbitrary Shortcode Execution via 'xs_reviw_summery' Parameter (Split-Shortcode / Late-Registered Shortcode)Same generic ecosystem
  • WP Ultimate Review < 2.4.4 - Unauthenticated DoS via Unset Display Settings in wp-reviews ShortcodeSame generic ecosystem
  • WP Ultimate Review < 2.4.4 - Author+ Stored XSS via Review Overview SettingsSame generic ecosystem

Record context

Vulnerability class
Vulnerability
EPSS
Not reported
CWE IDs
CWE-354
Source
CVE List V5
Source checked
Oct 3, 2026
References
2 linked sources
Open source record